<?php


namespace IPS\pricingpage\modules\front\pricingpage;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * options
 */
class _options extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
    protected function manage()
    {
        if ( \IPS\Settings::i()->pricingpage_groups == 'all' or \IPS\Member::loggedIn()->inGroup( explode(',', \IPS\Settings::i()->pricingpage_groups ) ) )
        {
		    
        }
        else
        {
            \IPS\Output::i()->error( 'mu_no_permission_pricingpage', '2S147/1', 403, '' );
        }

        $pricingoptions = \IPS\Settings::i()->pricingpage_description;

        \IPS\Output::i()->breadcrumb[] = array( NULL, \IPS\Member::loggedIn()->language()->addToStack( '__app_pricingpage', FALSE, array(  ) ) );
        \IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( '__app_pricingpage' );
        \IPS\Output::i()->output = \IPS\Theme::i()->getTemplate( 'pricingpage' )->options( $pricingoptions );
    }
	
	// Create new methods with the same name as the 'do' parameter which should execute it
}